summaryrefslogtreecommitdiff
path: root/source3/script/tests/functions
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/functions')
-rw-r--r--source3/script/tests/functions22
1 files changed, 5 insertions, 17 deletions
diff --git a/source3/script/tests/functions b/source3/script/tests/functions
index 0981d9e29e..40e185e153 100644
--- a/source3/script/tests/functions
+++ b/source3/script/tests/functions
@@ -2,16 +2,13 @@
## library file for test functions
##
-
-SMBCONTROL="smbcontrol -t 3"
-
##
## start/stop smbd daemon
##
check_smbd_running()
{
## the smbcontrol ping will return a 0 on success
- $SMBCONTROL $CONFIGURATION smbd ping 2>&1 > /dev/null
+ smbcontrol $CONFIGURATION smbd ping 2>&1 > /dev/null
}
start_smbd()
@@ -22,7 +19,7 @@ start_smbd()
sleep 1
- $SMBCONTROL $CONFIGURATION `cat $PIDDIR/smbd.pid` ping 2>&1 > /dev/null || return $?
+ smbcontrol $CONFIGURATION `cat $PIDDIR/smbd.pid` ping 2>&1 > /dev/null || return $?
}
stop_smbd()
@@ -33,7 +30,7 @@ stop_smbd()
## belt and braces; first kill and then send a shutdown message
kill -TERM $smbd_pid
- $SMBCONTROL $CONFIGURATION smbd shutdown
+ smbcontrol $CONFIGURATION smbd shutdown
## check to see if smbd is already running
check_smbd_running
@@ -43,23 +40,14 @@ stop_smbd()
fi
}
-check_ret_value()
-{
- ret=$@
-
- if test $ret != 0; then
- stop_smbd
- exit $ret
- fi
-}
##
-## start/stop nmbd daemon
+## start/stop smbd daemon
##
check_nmbd_running()
{
## the smbcontrol ping will return a 0 on success
- $SMBCONTROL $CONFIGURATION nmbd ping 2>&1 > /dev/null
+ smbcontrol $CONFIGURATION nmbd ping 2>&1 > /dev/null
}
start_nmbd()